using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Robotris
{
	/*
    *  _____ _______         _                      _
    * |_   _|__   __|       | |                    | |
    *   | |    | |_ __   ___| |___      _____  _ __| | __  ___ ____
    *   | |    | | '_ \ / _ \ __\ \ /\ / / _ \| '__| |/ / / __|_  /
    *  _| |_   | | | | |  __/ |_ \ V  V / (_) | |  |   < | (__ / /
    * |_____|  |_|_| |_|\___|\__| \_/\_/ \___/|_|  |_|\_(_)___/___|
    *                   ___
    *                  |  _|___ ___ ___
    *                  |  _|  _| -_| -_|  LICENCE
    *                  |_| |_| |___|___|
    *
    * IT ZPRAVODAJSTVÍ  <>  PROGRAMOVÁNÍ  <>  HW A SW  <>  KOMUNITA
    *
    * Tento zdrojový kód pochází z IT sociální sítě WWW.ITNETWORK.CZ
    *
    * Můžete ho upravovat a používat jak chcete, musíte však zmínit
    * odkaz na http://www.itnetwork.cz
    */

	/// <summary>
	/// Spritebatch obohacený o vykreslení textu se stínem
	/// </summary>
	public class LepsiSpriteBatch : SpriteBatch
    {
        /// <summary>
        /// Vykreslí text se stínem
        /// </summary>
        /// <param name="spriteFont">Font</param>
        /// <param name="text">Text</param>
        /// <param name="position">Pozice</param>
        /// <param name="color">Barva</param>
        public void TextSeStinem(SpriteFont spriteFont, string text, Vector2 position, Color color)
        {
            DrawString(spriteFont, text, new Vector2(position.X + 2, position.Y + 2), Color.Black * 0.8f);
            DrawString(spriteFont, text, position, color);
        }

        /// <summary>
        /// Vykreslí škálovaný text se stínem
        /// </summary>
        /// <param name="spriteFont">Font</param>
        /// <param name="text">Text</param>
        /// <param name="position">Pozice</param>
        /// <param name="color">Barva</param>
        /// <param name="size">Velikost</param>
        public void TextSeStinemSkalovany(SpriteFont spriteFont, string text, Vector2 position, Color color, float size)
        {
            DrawString(spriteFont, text, new Vector2(position.X + 2, position.Y + 2), Color.Black * 0.8f, 0.0f, new Vector2(0, 0), size, SpriteEffects.None, 0);
            DrawString(spriteFont, text, position, color, 0.0f, new Vector2(0, 0), size, SpriteEffects.None, 0);
        }

        /// <summary>
        /// Vytvoří instanci lepšího SpriteBatch
        /// </summary>
        /// <param name="graphicsDevice">Instance grafického zařízení</param>
        public LepsiSpriteBatch(GraphicsDevice graphicsDevice)
            : base(graphicsDevice)
        {
        }

    }

}
