﻿using Microsoft.Xna.Framework;

namespace Robotris
{
	/*
    *  _____ _______         _                      _
    * |_   _|__   __|       | |                    | |
    *   | |    | |_ __   ___| |___      _____  _ __| | __  ___ ____
    *   | |    | | '_ \ / _ \ __\ \ /\ / / _ \| '__| |/ / / __|_  /
    *  _| |_   | | | | |  __/ |_ \ V  V / (_) | |  |   < | (__ / /
    * |_____|  |_|_| |_|\___|\__| \_/\_/ \___/|_|  |_|\_(_)___/___|
    *                   ___
    *                  |  _|___ ___ ___
    *                  |  _|  _| -_| -_|  LICENCE
    *                  |_| |_| |___|___|
    *
    * IT ZPRAVODAJSTVÍ  <>  PROGRAMOVÁNÍ  <>  HW A SW  <>  KOMUNITA
    *
    * Tento zdrojový kód pochází z IT sociální sítě WWW.ITNETWORK.CZ
    *
    * Můžete ho upravovat a používat jak chcete, musíte však zmínit
    * odkaz na http://www.itnetwork.cz
    */

	/// <summary>
	/// Třída reprezentuje položku v menu
	/// </summary>
	public class PolozkaMenu
	{
		/// <summary>
		/// Text položky
		/// </summary>
		public string text;
		/// <summary>
		/// Pozice
		/// </summary>
		public Vector2 pozice;
		/// <summary>
		/// Velikost
		/// </summary>
		public float velikost;

		/// <summary>
		/// Vytvoří novou položku v menu
		/// </summary>
		/// <param name="text">Text položky</param>
		/// <param name="pozice">Pozice položky na obrazovce</param>
		public PolozkaMenu(string text, Vector2 pozice)
		{
			this.text = text;
			this.pozice = pozice;
			velikost = 0.6f;
		}
	}
}
